VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Attributes | List of all members
WindowConfiguration Struct Reference
Standalone Library

Window configuration. More...

## Public Attributes
WindowType | type {WindowType::Document}
| Type of window.
WindowStyle | style
| Window style.
CPoint | size
| Initial window size.
UTF8String | title
| Window title.
UTF8String | autoSaveFrameName
| Window save frame name.
UTF8String | groupIdentifier
| Window group identifier [optional].

## Detailed Description

Window configuration.

## Member Data Documentation

UTF8String autoSaveFrameName

Window save frame name.

UTF8String groupIdentifier

Window group identifier [optional].

Windows with the same group identifier can be grouped together on some platforms like on macOS to tabs in a single window

CPoint size

Initial window size.

WindowStyle style

Window style.

UTF8String title

Window title.

WindowType type {WindowType::Document}

Type of window.

The documentation for this struct was generated from the following file:

- iwindow.h